import { Component, OnInit } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { AngularFireDatabase, FirebaseListObservable } from 'angularfire2/database';
import * as firebase from 'firebase/app';
import { AngularFireAuth } from 'angularfire2/auth';
import { FormsModule }   from '@angular/forms';
import { Router } from '@angular/router';
import { HomeService } from '../../services/home/home.service';

@Component({
  selector: 'app-home',
  templateUrl: './home.component.html',
  styleUrls: ['./home.component.scss'],
  providers: [HomeService]
})
export class HomeComponent implements OnInit {

  constructor(public afAuth: AngularFireAuth, private router: Router) {  }

  loadRegisterComponent() {
    this.router.navigate(['/register']);
  }

  loadLoginComponent() {
    this.router.navigate(['/login']);
  }
  ngOnInit() {
  }

}
